Subject: RE: [PATCH v2 05/23] ice: Add devlink params support

From: "Saleem, Shiraz" <[email-masked]>
Date: Mon, 29 Mar 2021 16:25:16 +0000

> Subject: Re: [PATCH v2 05/23] ice: Add devlink params support
> 
> On Thu, Mar 25, 2021 at 08:10:13PM +0000, Saleem, Shiraz wrote:
> 
> > Maybe I am missing something but I see that a devlink hot reload is
> > required to enforce the update?  There isn't really a de-init required
> > of PCI driver entities in this case for this rdma param.
> > But only an unplug, plug of the auxdev with new value. Intuitively it
> > feels more runtime-ish.
> >
> > There is also a device powerof2 requirement on the maxqp which I don't
> > see enforceable as it stands.
> >
> > This is not super-critical for the initial submission but a nice to
> > have. But I do want to brainstorm options..
> 
> devlink upai often seems to be an adventure, can you submit this driver without
> devlink (or any other uapis) then debate how to add them in as followup patches?
> 

Yes to removing this particular param 'resource_limits_sel' from first submission.
I think Parav has given some good pointers. Will review internally and continue the discussion.
And submit follow on patch for it.

W.r.t protocol selection, without devlink, user cannot configure roce (iwarp is default) on the function.
So its good to get that in if possible. It seemed people were ok with our approach on it.

Shiraz